A package of Blazor Input textbox components. It comes with a collection of form components which is useful to get different input values from the users such as text, numbers, color and file inputs.

## List of Components:
* [Color Picker](https://www.syncfusion.com/blazor-components/blazor-color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [File Upload](https://www.syncfusion.com/blazor-components/blazor-file-upload?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [MaskedTextBox](https://www.syncfusion.com/blazor-components/blazor-input-mask?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [NumericTextBox](https://www.syncfusion.com/blazor-components/blazor-numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [Range Slider](https://www.syncfusion.com/blazor-components/blazor-range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
* [TextBox](https://www.syncfusion.com/blazor-components/blazor-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

## [Color Picker](https://www.syncfusion.com/blazor-components/blazor-color-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

The Blazor Color Picker component is a user interface to select and adjust color values.

### Key features

* [Color Value](https://blazor.syncfusion.com/documentation/color-picker/mode-and-value/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#color-value) - Supports Red Green Blue, Hue Saturation Value and Hex codes.
* [Custom palette](https://blazor.syncfusion.com/documentation/color-picker/how-to/customize-color-picker/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#custom-palette) - Allows you to customize palettes and supports multiple palette groups rendering.

## [File Upload](https://www.syncfusion.com/blazor-components/blazor-file-upload?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
The Blazor File Upload is a component for uploading one or multiple files, images, documents, and other files to a server.

### Key features
* [Chunk Upload](https://blazor.syncfusion.com/documentation/file-upload/chunk-upload/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Used to upload large files as chunks.
* [Validation](https://blazor.syncfusion.com/documentation/file-upload/validation/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Validate extension and size of upload file.
* [Auto Upload](https://blazor.syncfusion.com/documentation/file-upload/async/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#auto-upload) - Process the file to upload without interaction.

## [MaskedTextBox](https://www.syncfusion.com/blazor-components/blazor-input-mask?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
The Blazor Input Mask is a component that provides an easy and reliable way to collect user input based on a standard mask.

### Key features
* [Custom Characters](https://blazor.syncfusion.com/documentation/input-mask/mask-configuration/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#custom-characters) - Allows to use your own characters as the mask elements.
* [Regular Expression](https://blazor.syncfusion.com/documentation/input-mask/mask-configuration/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#regular-expression) - Can be used as a mask element for each character.
  
## [NumericTextBox](https://www.syncfusion.com/blazor-components/blazor-numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
The Blazor Numeric Textbox component is a quick replacement of the number-type HTML input element. 

### Key features
* [Range Validation](https://blazor.syncfusion.com/documentation/numeric-textbox/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#range-validation) - Allows to set the minimum and maximum range of values.
* [Number Formats](https://blazor.syncfusion.com/documentation/numeric-textbox/formats/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Supports the number display formatting with MSDN standard.

## [TextBox](https://www.syncfusion.com/blazor-components/blazor-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
The Blazor TextBox is a component for editing, displaying, or entering plain text on forms to capture username, email, and more. 

### Key features
* [Floating Label](https://blazor.syncfusion.com/documentation/textbox/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget#floating-label) - Floats the placeholder text while focus.
* [Multiline](https://blazor.syncfusion.com/documentation/textbox/multiline/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Handles multiline input with placeholder text.

## [Range Slider](https://www.syncfusion.com/blazor-components/blazor-range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)
The Blazor Range Slider is a custom range-type HTML5 input component. It allows you to select a value or range of values between a specified min and max.

### Key features
* [Tooltip](https://blazor.syncfusion.com/documentation/range-slider/tooltip/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Displays the tooltip to indicate the current value by clicking the Slider bar or drag the Slider handle.
* [Ticks](https://blazor.syncfusion.com/documentation/range-slider/ticks/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Easily identify the current value/values of the Slider.
* [Limits](https://blazor.syncfusion.com/documentation/range-slider/limits/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) -  Restrict the slider thumb between a particular range. This is used if higher or lower value affects the process or product where the slider is being used.
* [Orientation](https://blazor.syncfusion.com/documentation/range-slider/orientation/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) -  Displayed either in horizontal or vertical orientation.
* [Types](https://blazor.syncfusion.com/documentation/range-slider/types/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) - Specifies the type of Slider.

## Related links
[Learn More about Blazor UI components](https://www.syncfusion.com/blazor-components/blazor-file-upload?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/file-upload/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.48/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/file-upload/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20Inputs%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inputs-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.
